| ghc-6.12.3: The GHC API | Contents | Index

PIC

Documentation
cmmMakeDynamicReference :: Monad m => DynFlags -> (CLabel -> m ()) -> ReferenceKind -> CLabel -> m CmmExpr
data ReferenceKind

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind

needImportedSymbols :: Arch -> OS -> Bool
pprImportedSymbol :: Arch -> OS -> CLabel -> Doc
pprGotDeclaration :: Arch -> OS -> Doc
initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]
initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]
Produced by Haddock version 2.6.1